# Open Meteo CLI

CLI to extract meteorology data from Open Meteo.

## Usage

The Open Meteo CLI allows you to retrieve weather data for specific coordinates.

### Current Weather

Get the current weather for a given coordinate.

```
open-meteo current-weather [OPTIONS] --latitude <LATITUDE> --longitude <LONGITUDE>
```

#### Options
- `-l, --latitude <LATITUDE>`: Latitude as a decimal number.
- `-L, --longitude <LONGITUDE>`: Longitude as a decimal number.

#### Flags
- `-a, --all`: Prints all available parameters.
- `-d, --is-day`: Prints if it is day or night.
- `-t, --temperature`: Prints the decimal temperature.
- `-w, --windspeed`: Prints the decimal wind speed.
- `-W, --winddirection`: Prints the wind direction angle.
- `-c, --clean`: Cleans the output and only shows the values separated by commas.
    - The order of values is as follows: is_day, temperature, windspeed, winddirection.

#### Examples
- Standard usage: `open-meteo-cli current-weather -l 5 -L 5 -a`

```
=== Current weather for Latitude: 5, Longitude: 5 ===
Night
Temperature: 28.4°C
Wind speed: 17.0 km/h
Wind direction: 212.0°
=== Weather data by Open-Meteo.com ===
```

- Clean: `open-meteo-cli current-weather -l 12 -L=-3.4 -d -t -w -c`

```
0,26.5,15.5
```

## Attribution

The weather data used in this application is provided by [Open-Meteo.com](https://open-meteo.com/) under the [CC BY 4.0](https://creativecommons.org/licenses/by/4.0/) license. 
We would like to express our gratitude to Open-Meteo.com for their contribution to this project.
